gi-atk-2.0.27: Atk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Atk.Objects.NoOpObjectFactory

Contents

- Exported types
- Methods
  - new

Description

The AtkObjectFactory which creates an AtkNoOpObject.

The AtkObjectFactory which creates an AtkNoOpObject. An instance of this is created by an AtkRegistry if no factory type has not been specified to create an accessible object of a particular type.

Synopsis

- newtype NoOpObjectFactory = NoOpObjectFactory (ManagedPtr NoOpObjectFactory)
- class (GObject o, IsDescendantOf NoOpObjectFactory o) => IsNoOpObjectFactory o
- toNoOpObjectFactory :: (MonadIO m, IsNoOpObjectFactory o) => o -> m NoOpObjectFactory
- noOpObjectFactoryNew :: (HasCallStack, MonadIO m) => m NoOpObjectFactory

# Exported types

newtype NoOpObjectFactory Source #

Memory-managed wrapper type.

Constructors

NoOpObjectFactory (ManagedPtr NoOpObjectFactory) |

#### Instances

Instances details

Eq NoOpObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory Methods (==) :: NoOpObjectFactory -> NoOpObjectFactory -> Bool Source # (/=) :: NoOpObjectFactory -> NoOpObjectFactory -> Bool Source #
GObject NoOpObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory
ManagedPtrNewtype NoOpObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory Methods toManagedPtr :: NoOpObjectFactory -> ManagedPtr NoOpObjectFactory Source #
TypedObject NoOpObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory Methods glibType :: IO GType Source #
HasParentTypes NoOpObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory
IsGValue (Maybe NoOpObjectFactory) Source # | Convert `NoOpObjectFactory` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe NoOpObjectFactory -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe NoOpObjectFactory) Source #
type ParentTypes NoOpObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory type ParentTypes NoOpObjectFactory = '[ObjectFactory, Object]

class (GObject o, IsDescendantOf NoOpObjectFactory o) => IsNoOpObjectFactory o Source #

Type class for types which can be safely cast to `NoOpObjectFactory`, for instance with `toNoOpObjectFactory`.

#### Instances

Instances details

(GObject o, IsDescendantOf NoOpObjectFactory o) => IsNoOpObjectFactory o Source # |
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory

toNoOpObjectFactory :: (MonadIO m, IsNoOpObjectFactory o) => o -> m NoOpObjectFactory Source #

Cast to `NoOpObjectFactory`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, createAccessible, forceFloating, freezeNotify, getv, invalidate, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleType, getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## new

noOpObjectFactoryNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m NoOpObjectFactory | Returns: an instance of an `ObjectFactory`

Creates an instance of an `ObjectFactory` which generates primitive (non-functioning) `AtkObjects`.